Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uk.ac.man.bioinf.apps.cinema.group
Class CinemaAnchorManager

    java.lang.Object
      |
      +--uk.ac.man.bioinf.apps.cinema.group.CinemaAnchorManager

All Implemented Interfaces:
  EventListener, PropertyChangeListener

public class CinemaAnchorManager
extends Object
implements PropertyChangeListener

CinemaAnchorManager.java This group takes care of the anchoring groups, and adding and removing appropriate listeners to the main alignment viewer, and then adding and removing gaps. Created: Wed Feb 21 18:36:38 2001

Version:
  $Id: CinemaAnchorManager.java,v 1.3 2001/07/06 11:45:51 lord Exp $
Author:
  Phillip Lord

Constructor Summary
`CinemaAnchorManager(CinemaGroupModule module)`

Method Summary
`void` | `anchorAll()`
`void` | `anchorGroup(CinemaGroup group)`
`boolean` | `isAnchored(CinemaGroup group)`
`void` | `propertyChange(PropertyChangeEvent event)`
`void` | `unanchorAll()`
`void` | `unanchorGroup(CinemaGroup group)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CinemaAnchorManager

    public CinemaAnchorManager(CinemaGroupModule module)

Method Detail

### propertyChange

    public void propertyChange(PropertyChangeEvent event)

  Specified by:
    `propertyChange` in interface `PropertyChangeListener`

### anchorGroup

    public void anchorGroup(CinemaGroup group)

### anchorAll

    public void anchorAll()

### unanchorGroup

    public void unanchorGroup(CinemaGroup group)

### unanchorAll

    public void unanchorAll()

### isAnchored

    public boolean isAnchored(CinemaGroup group)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD